# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dcap-qvl-cli"
version = "0.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Command line interface for Intel SGX DCAP Quote Verification Library"
readme = "README.md"
keywords = [
    "sgx",
    "dcap",
    "attestation",
    "quote",
    "verification",
]
license = "Apache-2.0"
repository = "https://github.com/Phala-Network/dcap-qvl"

[[bin]]
name = "dcap-qvl"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.95"

[dependencies.clap]
version = "4.5.27"
features = ["derive"]

[dependencies.dcap-qvl]
version = "0.3.0"

[dependencies.hex]
version = "0.4.3"

[dependencies.serde_json]
version = "1.0.137"

[dependencies.tokio]
version = "1.43.0"
features = ["full"]
